<xsd:schema  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_repeated.xsd"/>
<xsd:include schemaLocation="obj_reservation.xsd"/>

	<xsd:element name="LOGIN"  type="LoginRequestContent"/>

	<xsd:element name="TRANS_RES_1">
        <xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="TRANS_COMMON_PARAMS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
    </xsd:element>

	<xsd:element name="START_REPEATED">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:group ref="REPEATED_DATA"/>
				<xsd:element ref="RESERVATION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

  <xsd:element name="START_REPEATED_EX">
    <xsd:complexType>
      <xsd:sequence>
        <xsd:group ref="REPEATED_DATA"/>
        <xsd:element ref="RESERVATION"/>
        <xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
      </xsd:sequence>
    </xsd:complexType>
  </xsd:element>

	<xsd:element name="START">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="RESERVATION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="LOGIN_START">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="LOGIN"/>
				<xsd:element ref="RESERVATION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="UPDATE">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="RESERVATION"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:group name="REPEATED_DATA">
		<xsd:choice>
			<xsd:element ref="REPEATED"/><!--obsolete-->
			<xsd:element ref="REPEATED_EX"/>
			<xsd:element ref="RECURRENCE_LIST"/>
		</xsd:choice>
	</xsd:group>
	
	<xsd:element name="SET_DEFAULT_EQ">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>		
	
	<xsd:element name="CANCEL_DEFAULT_EQ">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="NAME"/>
				<xsd:any processContents="skip" minOccurs="0" maxOccurs="unbounded" namespace="##other"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>			

	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="START_REPEATED"/>			<!--not supported-->
      <xsd:element ref="START_REPEATED_EX"/>
			<xsd:element ref="START"/>
			<xsd:element ref="UPDATE"/>
			<xsd:element ref="LOGIN_START"/>			<!--not supported-->
			<xsd:element ref="SET_DEFAULT_EQ"/>
			<xsd:element ref="CANCEL_DEFAULT_EQ"/>
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>
